Bug 984726 - [abrt] WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x84/0x90()
[abrt] WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x84/0x90()
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-15 16:04 EDT by Fabio Ranalli
Modified: 2013-10-08 12:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-10-08 12:54:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: dmesg (250.53 KB, text/plain)
2013-07-15 16:05 EDT, Fabio Ranalli
no flags Details

  None (edit)
Description Fabio Ranalli 2013-07-15 16:04:59 EDT
Description of problem:
System was returning from Suspend to RAM

Additional info:
reporter:       libreport-2.1.5
WARNING: at drivers/pci/pci.c:1393 pci_disable_device+0x84/0x90()
Hardware name: MS-7676
Device mpt2sas
disabling already-disabled device
Modules linked in: binfmt_misc ses enclosure usb_storage nls_utf8 isofs ebtable_nat xt_CHECKSUM nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT bridge stp llc nf_conntrack_ipv6 nf_defrag_ipv6 vhost_net tun macvtap iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack macvlan nf_conntrack kvm_intel ebtable_filter ebtables ip6table_filter arc4 ip6_tables vfat fat ath9k_htc iTCO_wdt iTCO_vendor_support mperf snd_hda_codec_hdmi ath9k_common ath9k_hw coretemp mxm_wmi snd_hda_codec_realtek ath kvm mac80211 crc32_pclmul crc32c_intel snd_hda_intel snd_hda_codec ghash_clmulni_intel cfg80211 snd_hwdep snd_seq rfkill i2c_i801 microcode snd_seq_device serio_raw snd_pcm joydev snd_page_alloc lpc_ich r8169 snd_timer mfd_core snd mii soundcore e1000e mei ptp pps_core wmi uinput hid_logitech_dj btrfs libcrc32c xor zlib_deflate raid6_pq i915 video i2c_algo_bit drm_kms_helper drm mpt2sas raid_class scsi_transport_sas i2c_core [last unloaded: kvm_intel]
Pid: 5540, comm: kworker/u:13 Not tainted 3.9.9-302.fc19.x86_64 #1
Call Trace:
 [<ffffffff8131dc00>] ? pci_power_up+0x70/0x70
 [<ffffffff8105cc56>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105ccbc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8131c1e7>] ? pci_find_capability+0x47/0x50
 [<ffffffff8131dce4>] pci_disable_device+0x84/0x90
 [<ffffffffa002e6ca>] _scsih_suspend+0x8a/0xb0 [mpt2sas]
 [<ffffffff8131f348>] pci_legacy_suspend+0x38/0xc0
 [<ffffffff813205bd>] pci_pm_suspend+0xed/0x150
 [<ffffffff813204d0>] ? pci_pm_freeze+0xc0/0xc0
 [<ffffffff813ed644>] dpm_run_callback+0x44/0x90
 [<ffffffff813eda3b>] __device_suspend+0xdb/0x270
 [<ffffffff813edbef>] async_suspend+0x1f/0xa0
 [<ffffffff81086c29>] async_run_entry_fn+0x39/0x120
 [<ffffffff8107997e>] process_one_work+0x16e/0x3f0
 [<ffffffff8107b3ff>] worker_thread+0x10f/0x3d0
 [<ffffffff8107b2f0>] ? manage_workers+0x340/0x340
 [<ffffffff810802a0>] kthread+0xc0/0xd0
 [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164f26c>] ret_from_fork+0x7c/0xb0
 [<ffffffff810801e0>] ? insert_kthread_work+0x40/0x40
Comment 1 Fabio Ranalli 2013-07-15 16:05:10 EDT
Created attachment 773891 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:41:24 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:54:13 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.